.modal-enter-active
.modal-leave-active
  transition opacity 0.3s

.modal-enter
.modal-leave-to
  opacity 0

.modal-mask
  position fixed
  z-index 100000
  top 0
  left 0
  width 100%
  height 100%
  background-color rgba($black, 0.8)
  transition opacity .3s ease
  cursor pointer
  line-height 0

.modal-wrapper
  width 100%
  height 100%
  position relative
  line-height 1
  overflow auto
  -webkit-overflow-scrolling touch
  text-align center
  padding 10px

  &:after
    content ""
    display inline-block
    vertical-align middle
    width 0
    height 100%

.modal-close
  position absolute
  right 0
  top 0
  cursor pointer
  user-select none
  font-family $secondaryFont
  font-size 16px
  line-height 22px
  text-align center
  letter-spacing -0.2px
  text-transform uppercase
  color $secondary3
  background-color $secondary7
  padding 17px 34px
  padding-left 72px
  z-index 1
  transition all 0.3s

  &:before
  &:after
    content ''
    position absolute
    width 24px
    height 1px
    background-color $secondary3
    left 33px
    top 20px
    transform rotate(45deg)
    transform-origin 0 0
    transition all 0.3s

  &:after
    top 37px
    transform rotate(-45deg)


  &:hover
    background-color $secondary3
    color $white

    &:before
    &:after
      background-color $white

.modal-container
  width 100%
  max-width 600px
  margin 0 auto
  background $secondary
  border-radius 15px
  border-top-right-radius 18px
  transition all .3s ease
  pointer-events auto
  cursor auto
  display inline-block
  vertical-align middle
  font-size $baseFontSize
  line-height $baseLineHeight
  color $white
  text-align left
  padding 32px
  padding-bottom 36px
  padding-top 29px
  position relative

  +fbp(xs)
    padding 20px
    padding-bottom 30px
    padding-top 29px

.modal-body
  overflow hidden

.modal__header
  padding-left 75px
  padding-right 75px
  margin-bottom 50px

  +fbp(sm)
    padding-left 0
    padding-right 0

.modal__title
  font-size 28px
  line-height 1.142857
  margin-bottom 0.678571em
  text-align center
  color $primary

  +fbp(xs)
    font-size 20px

.modal--video
  .modal-container
    padding 20px
    padding-top 62px
    max-width 900px

    +fbp(xs)
      padding 0
      padding-top 62px

.modal-video
  position relative
  padding-bottom 56%

  video
  iframe
    position absolute
    width 100%
    height 100%
    left 0
    top 0
    outline none

.modal--form
  .modal-container
    max-width none
    padding 0
    background none

  .modal-wrapper
    padding 0
    background radial-gradient(102.87% 100% at 100% 0%, rgba($secondary, 0.92) 0%, $secondary 100%)

  .modal__title
    max-width 250px
    margin-left auto
    margin-right auto

  .modal-body
    width 100%

  .form-section
    background none

  +fbp(xs)
    .form-section__inner
      padding-top 100px

.modal-header
  text-align center

.modal-footer
  display flex
  justify-content center
